<?php

namespace Drupal\camunda\Plugin\ECA\Modeler;

use Drupal\eca\Annotation\EcaModeler;
use Drupal\eca\PluginModelerBpmnBase;
use Drupal\eca\PluginModelerInterface;

/**
 * Plugin implementation of the ECA Modeler.
 *
 * @EcaModeler(
 *   id = "camunda",
 * )
 */
class Camunda extends PluginModelerBpmnBase {

  /**
   * {@inheritdoc}
   */
  protected function xmlNsPrefix(): string {
    return 'bpmn:';
  }

  /**
   * {@inheritdoc}
   */
  public function export(): PluginModelerInterface {
    /** @noinspection PhpComposerExtensionStubsInspection */
    /** @noinspection JsonEncodingApiUsageInspection */
    file_put_contents('private://camunda.template.json', json_encode($this->getTemplates()));
    return $this;
  }

}
